apiVersion: apiextensions.crossplane.io/v1
kind: Composition
metadata:
  name: my-composition
spec:
  compositeTypeRef:
    apiVersion: example.org/v1alpha1
    kind: CompositeMyResource
  resources:
    - base:
        apiVersion: v1
        kind: Secret
        metadata:
          name: my-secret
        stringData:
          connection: {{ .connectionSecretRef }}
      patches:
        - fromFieldPath: "spec.someField"
          toFieldPath: "stringData.someField"
